import type { JSON_ROOT } from "../../types";
import type { ParseProjectOptions, ProjectParser } from "../../types/parsers/types";
export default class GenericProjectParser implements ProjectParser {
    readonly targetLanguage: string;
    constructor(targetLanguage: string);
    parse(projectRoot: string, options?: ParseProjectOptions): Promise<JSON_ROOT>;
}
